function onCasinoIntLoad() -- Executed every time Room is loaded

 	LoadSissy()
	LoadLyons()
	LoadChuck()

--Camera

	Camera.SetPosition(10,30,30); -- SetPosition(x,y,z:float;const SmoothTransition:boolean);
	Camera.SetTargetPosition(0,10,0); 
  Camera.FollowActor(Sissy.ID); -- Makes Camera follow Sissy
	Game.FogStart = 50;
	Game.FogEnd = 650;
	Game.SetFogRGB (5,5,5); 
	
	if Skybox == nil then
		Skybox = TSkybox.Create();
		Skybox.LoadTextures('skybox/sky.jpg');
	end
	
--Lights
	Light1.LightStyle = 1;
	Light1.LinearAttenuation = 0;
	Light1.ConstAttenuation = 0.25;
	Light1.QuadraticAttenuation = 0;
	Light1.SpotExponent = 0;
	Light1.SpotCutOff = 90;
	Light1.SetDiffuseRGB(135,135,124);
	Light1.SetAmbientRGB(22,20,33);

	Light1.SetShadowRGB(0,0,50,0.1); --Shadow color (Red,Green,Blue,Alpha:[0..1]), default (0,0,0,0.5) 0.5 = alpha
	Light1.Enabled = true --Enable shadows, default true
	Light1.SetPosition(-70.5,104.599998474121,87.1999969482422);


	Light2.LightStyle = 1;
	Light2.LinearAttenuation = 0.02;
	Light2.ConstAttenuation = 0;
	Light2.QuadraticAttenuation = 0;
	Light2.SpotExponent = 0;
	Light2.SpotCutOff = 0;
	Light2.SetDiffuseRGB(219,219,202);
	Light2.SetAmbientRGB(50,55,78);
	
	Light2.SetShadowRGB(0,0,50,0.1); --Shadow color (Red,Green,Blue,Alpha:[0..1]), default (0,0,0,0.5) 0.5 = alpha
	Light2.SetPosition(-69.5,121.900001525879,202.100006103516);
	Light2.ShadowEnabled = false;
	Light2.Enabled = true
	
	Light_pool.Enabled = false;

	Light_amb.LightStyle = 2;
	Light_amb.LinearAttenuation = 0;
	Light_amb.ConstAttenuation = 0;
	Light_amb.QuadraticAttenuation = 0;
	Light_amb.SpotExponent = 100;
	Light_amb.SpotCutOff = 81.39;
	Light_amb.SetDiffuseRGB(251,250,244);
	Light_amb.SetAmbientRGB(32,28,53);

	Light_amb.SetPosition(0,-150,0);
	Light_amb.SetRotation(0,0,90);
	Light_amb.SetScale(1,1,1);
	Light_amb.ShadowEnabled = false;
	Light_amb.Enabled = true

--Characters 

	if elevator == 0 then
	
		Lyons.SetPosition(-76,33,118);
	
		Lyons.SetRotation(15,0,0);
		Lyons.Visible = true 
		
		
		Chuck.SetPosition(-35,22,-70);
		Chuck.SetRotation(-43,0,0);

		Chuck.Visible = true	

		Camera.SetPosition(-124.113700866699,41.7638511657715,64.8749389648438);
		Camera.SetTargetPosition(0,-20,0); 
		Camera.FollowActor(Sissy.ID);
		cameraPos = 'wideDoor'
		
		
		Sissy.SetPosition(81.6006164550781,22.046516418457,-143.299819946289);
		Sissy.SetRotation(-37.8937530517578,0,0);
		if Olivetti ~=nil then Olivetti.Visible = false end
		if Olivetti ~=nil then Bouncer.Visible = false end
		
	elseif elevator == 1 then
	
		Camera.FollowNone ();
		Game.DisableScene = true;
		Camera.SetPosition(-16.3907432556152,31.2541732788086,-76.7603149414062);
		Camera.SetTargetPosition(31.8780994415283,30.8209495544434,-11.371732711792);


		Sissy.SetPosition(26.6270885467529,22.0464878082275,-113.389999389648);
		Sissy.SetRotation(24.0647068023682,0,0);
		Bouncer.SetPosition(5,34,171);
		Bouncer.SetRotation(162,0,0);
		Bouncer.SetScale(1,1,1);
		Olivetti.Visible = false;
		Chuck.Visible = false;
		Bouncer.Visible = true;
	end
	

-- Misc   
 
  Game.LoadScript('scripts/ConvChuck.lua');
	Game.LoadScript('scripts/ConvLyons.lua');
  Game.CurrentTime = 0; -- Reset Game time    
   
 
--Dummies

	mtDoorArea = TDummy.Create();
	mtDoorArea.SetPosition(78.9000015258789,20.6000003814697,-128.5);

  mtStageArea = TDummy.Create();
	mtStageArea.SetPosition(-166.899993896484,33.2999992370605,-68.3000030517578);

  mtTableArea = TDummy.Create();
	mtTableArea.SetPosition(83.8000030517578,40,70.5);

  mtBackArea = TDummy.Create();
	mtBackArea.SetPosition(-104.300003051758,141,193.199996948242);

	
	mtFootlights1 = TDummy.Create();
	mtFootlights1.SetPosition(-87.3000030517578,20.2000007629395,-42.9000015258789);
	
	mtFootlights2 = TDummy.Create();
	mtFootlights2.SetPosition(-95.3000030517578,20.2000007629395,-94.5);
	
	mtCraps = TDummy.Create();
	mtCraps.SetPosition(96.3000030517578,34.2999992370605,89.5999984741211);
	
	mtBlackjack = TDummy.Create();
	mtBlackjack.SetPosition(-39.2999992370605,37.7999992370605,225.800003051758);
	
	mtElevator = TDummy.Create();
	mtElevator.SetPosition(45.9000015258789,32.5999984741211,194.800003051758);

	mtExit = TDummy.Create();
	mtExit.SetPosition(76.6999969482422,11,-146.300003051758);
	
	-- Meshes
	
	obCurtain = TMesh.Create();
  obCurtain.Load('CasinoInterior/curtain.obj');
  obCurtain.CastShadows = 0;

	obMainDoor = TMesh.Create();
  obMainDoor.Load('CasinoInterior/door_m.obj');
	obMainDoor.SetPosition(123.300003051758,0,-165.399993896484);
  obMainDoor.CastShadows = 0;
  
	obLiftDoor = TMesh.Create();
  obLiftDoor.Load('CasinoInterior/door_l.obj');
	obLiftDoor.SetPosition(47.5,0,217.199996948242);
  obLiftDoor.CastShadows = 0;
	
	obFootlight = TMesh.Create();
  obFootlight.Load('CasinoInterior/footlight.obj');
  obFootlight.CastShadows = 0;
	
	
	Sound.Play(interior, 1);
	Sound.SetVolume(interior,40);
	
	if needsBulb == 2 then
		obFootlight.Visible = false;
	end

	
	FadeIn()
	

	
	if elevator == 1 then
		Game.DisableScene = true;
		StatusLineText.Text = ''
		Game.SetTimer(Game.CurrentTime + 0.1,'ElevatorCutscene_1')
		
	end
end

function onCasinoIntAfterLoad()

	if needsBulb == 2 then
		obFootlight.Visible = false;
	end
	
end

function onCasinoIntProgress() --Here goes all script you want to repeatedly run

	if Game.DisableScene == "False" then --if Game isn't Paused
				
		if Distance (Sissy, Chuck) < detectDistance then
		
			currentFocus = 'Chuck';
			StatusLineText.Text = 'Drunk';
			
		elseif Distance (Sissy, Lyons) < detectDistance then
		
			currentFocus = 'Lyons';
			StatusLineText.Text = 'Billy Lyons';
			
		elseif Distance (Sissy, mtFootlights1) < detectDistance or Distance (Sissy, mtFootlights2) < detectDistance then
		
			currentFocus = 'mtFootlights';
			StatusLineText.Text = 'Footlights';			
			
		elseif Distance (Sissy, mtElevator) < detectDistance then
		
			currentFocus = 'mtElevator';
			StatusLineText.Text = 'Private Elevator';		

		elseif Distance (Sissy, mtExit) < detectDistance then
		
			currentFocus = 'mtExit';
			StatusLineText.Text = 'Exit';	

		elseif Distance (Sissy, mtCraps) < 100 then
		
			currentFocus = 'mtCraps';
			StatusLineText.Text = 'Craps Tables';			

		elseif Distance (Sissy, mtBlackjack) < 100 then
		
			currentFocus = 'mtBlackjack';
			StatusLineText.Text = 'Blackjack Tables';		
		
		else
		
			currentFocus = nil;
			StatusLineText.Text = '';
		end

		if Distance (Sissy, mtStageArea) < 150 then 

			Camera.SetPosition(40.1609878540039,40.9374694824219,107.334579467773);
			Camera.SetTargetPosition(26.6079139709473,40.055606842041,88.8144226074219);
			Camera.SetTargetPosition(0,20,0); 
			Camera.FollowActor(Sissy.ID);
			cameraPos = 'wideStage'
			
		elseif Distance (Sissy, mtBackArea) < 150  then
			Camera.SetPosition(-79.6322021484375,75.2063369750977,251.413696289062);
			Camera.SetTargetPosition(0.755175530910492,1.33713173866272,61.655101776123);
			Camera.FollowNone();
			cameraPos = 'wide'
		
		elseif Distance (Sissy, mtDoorArea) < 150 or Distance (Sissy, mtTableArea) < 150  then
			Camera.SetPosition(-124.113700866699,41.7638511657715,64.8749389648438);
			Camera.SetTargetPosition(0,-20,0); 
			Camera.FollowActor(Sissy.ID);
			cameraPos = 'wideDoor'
			
		else
			Camera.SetPosition(-79.6322021484375,75.2063369750977,251.413696289062);
			Camera.SetTargetPosition(0.755175530910492,1.33713173866272,61.655101776123);
			Camera.FollowNone();
			cameraPos = 'wide'
		end

	end
	if Sissy.Y==1.04693152256358E-38 then
	Sissy.SetPosition(69,30,-74);
	end
	
end


function onCasinoIntUnload()

	lastRoom = 'Casino'
	
	obCurtain.Destroy ();
	obMainDoor.Destroy ();
	obLiftDoor.Destroy ();
	obFootlight.Destroy ();
	obCurtain = nil;
	obMainDoor = nil;
	obLiftDoor = nil;
	obFootlight	= nil;
	
	mtDoorArea.Destroy ();
  mtStageArea.Destroy ();
  mtTableArea.Destroy ();
  mtBackArea.Destroy ();
	mtFootlights1.Destroy ();
	mtFootlights2.Destroy ();
	mtCraps.Destroy ();
	mtBlackjack.Destroy ();
	mtElevator.Destroy ();
	mtExit.Destroy ();
	
	mtDoorArea = nil;
  mtStageArea = nil;
  mtTableArea = nil;
  mtBackArea = nil;
	mtFootlights1 = nil;
	mtFootlights2 = nil;
	mtCraps = nil;
	mtBlackjack = nil;
	mtElevator = nil;
	mtExit = nil;
	
	if goingToApartment == 1 then
		LoadLee()
		LoadPanel()
	else
		LoadOlivetti()
		LoadBouncer()
	end

end

-- Elevator Cutscene

function ElevatorCutscene_1()
	Sissy.Walk(26.6270885467529,33.9925689697266,142.710006713867, 'BouncerLuck');
	obLiftDoor.RunAnimation(LiftOpen.ID);
end

function BouncerLuck()

	Camera.SetPosition(-11.3979110717773,35.9492530822754,102.954254150391);
	Camera.SetTargetPosition(6.65316200256348,35.7197532653809,129.327377319336);
	Bouncer.SpeechHeight = 240;
	Sound.FadeOut (interior, 7000)
	Bouncer.Say("Be lucky.", 2000, 'FadeToBlack')
	Game.SetTimer(Game.CurrentTime + 4,'GoUpstairs')
end

function GoUpstairs()
goingToApartment = 1
Duck.Destroy()
Duck = nil
Chuck.Destroy();
Chuck = nil
Bouncer.Destroy();
Bouncer = nil
Apartment.Load()

end
-- Interactions

function onmtExitExamine()

	Sissy.Say ("That way back outside.");

end

function onmtExitInteract()

	Sound.FadeOut (interior, 5000)
	FadeToBlack()
	Game.SetTimer(Game.CurrentTime + 3,'LoadExteriorFromCas')


end

function LoadExteriorFromCas()

	Exterior.Load()

end

function onmtExitUseInv()

	UseInvFail();

end


function onmtFootlightsExamine()

	Sissy.Say ("It looks like one of\nthem is on the fritz.");

end

function onmtFootlightsInteract()

	if needsBulb == 1 then
		GetBulbCutscene()
	elseif needsBulb == 2 then
		Sissy.Say ("I got what I needed.");
	else 
		Sissy.Say ("I ain't gonna tamper\nwithout a reason.");
	end

end

function GetBulbCutscene()

	
	Game.DisableScene = true;
	StatusLineText.Text=''
	if Game.Width == 800 then
		Camera.FocalLength = close_small
	else
		Camera.FocalLength = close_big
	end
	Sissy.WalkingAnimation = 'standing'; 

	Camera.SetPosition(-64.641242980957,34.5768623352051,-56.2401885986328);
	Camera.SetTargetPosition(-70.3921508789063,32.7489700317383,-65.8613052368164);
	Camera.FollowNone();

	Sissy.SetPosition(-93.2205429077148,22.0464859008789,-123.800071716309);
	Sissy.SetRotation(-51.3550987243652,0,0);

	Sissy.SpeechHeight = 240;
	Sissy.Say ("Let's see...", 3000);
	Sissy.Say ("This one's loose...", 3000)
	Sissy.Say ("No one will miss it.", 3000, 'PickUpFootlight')

end


function PickUpFootlight()
	Sissy.RunBoneAnimation('sissy_take', 'GotLight', 70);
	Game.SetTimer(Game.CurrentTime + 1.1,'HideLight')
end

function HideLight()
	obFootlight.Visible = false;
	Sissy.SpeechHeight = 100;
end


function GotLight()
	AddInv (Footlight)
	Footlight.Visible = true;
	needsBulb = 2
	Sissy.WalkingAnimation = 'walking'; 
	Sissy.Say ("Ooh, it's warm.", 3000, 'LightCutsceneEnd');
	
end

function LightCutsceneEnd()
 ConvBackground.Visible = 0;
 Camera.FocalLength = 60;
 Camera.FollowActor(0);
 GUIActive = true;

 Sissy.WalkingAnimation = 'walking'; 

	Camera.SetPosition(40.1609878540039,40.9374694824219,107.334579467773);
	Camera.SetTargetPosition(26.6079139709473,40.055606842041,88.8144226074219);
	Camera.SetTargetPosition(0,20,0); 
	Camera.FollowActor(Sissy.ID);
 
 
 Game.DisableScene = 0;

end


function onmtFootlightsUseInv()

	UseInvFail();

end

function onmtElevatorExamine()

	Sissy.Say ("I guess that leads to\nStack-o-lee's office.");

end

function onmtElevatorInteract()

	Sissy.Say ("There's no call button!");

end

function onmtElevatorUseInv()

	UseInvFail();

end

function onmtCrapsExamine()

	Sissy.Say ("The craps tables look new.");

end

function onmtCrapsInteract()

	Sissy.Say ("The dealers aren't here yet.");

end

function onmtCrapsUseInv()

	UseInvFail();

end

function onmtBlackjackExamine()

	Sissy.Say ("They'll be busy soon.");

end

function onmtBlackjackInteract()

	Sissy.Say ("Nah, I always lose.");

end

function onmtBlackjackUseInv()

	UseInvFail();

end