-- Initialize Conversation object

function InitConv_SissyStage()

	Game.DisableScene = true;
	
	if Game.Width == 800 then
		Camera.FocalLength = wide_small
	else
		Camera.FocalLength = wide_big
	end
	
	Camera.SetPosition(17.0905914306641,35.5027618408203,42.1021461486816);
	Camera.SetTargetPosition(-4.45916080474854,35.7814598083496,23.8202533721924);

	
	NewConv.ClearNodes();
	ConvBackground.Visible = 0;
	ConvBackground.Alpha = 0.7;
 
	StageDance = NewConv.AddNode();
	
	NewConv.AddOption(StageDance, "Do the ol' Bob and Weave.",'StageDanceBob');
	NewConv.AddOption(StageDance, "Do the Goggle-eyes.",'StageDanceSpecs');
	NewConv.AddOption(StageDance, "Do the Crazy Chicken",'StageDanceChicken');
	NewConv.AddOption(StageDance, "Do the Dance Macabre.",'StageDanceMacabre');
	NewConv.AddOption(StageDance, "Do the Choo-choo.",'StageDanceChooChoo');
	
	sissyScore = 0
	dancePos = 1
	
	Sissy.Say ("Good Evening, I have a\nlittle show for you.", 3000);
	correctDance = 'dance_bones'
	Chuck.Say ("This show is dead!", 3000)	
	Sissy.Say ("Huh?", 3000, 'ShowStageDance')	
end



-- Show Node Functions

function ShowStageStartNode()
	ConvBackground.Visible = 1;
  NewConv.ShowNode(StageStartNode);
end

function ShowStageDance()
	ConvBackground.Visible = 1;
  NewConv.ShowNode(StageDance);
end

--- Conversation scripts

function StageDanceBob()
	hideConv()
	sissyDance = 'dance_bob'
		Sissy.AddAnimation('Sissy/sissy_dance_bob.smd');
		Sissy.RunBoneAnimation('sissy_dance_bob', 'StageDanceEnd', 70);
	
end

function StageDanceSpecs()
	hideConv()
	sissyDance = 'dance_specs'
		Sissy.AddAnimation('Sissy/sissy_dance_specs.smd');
		Sissy.RunBoneAnimation('sissy_dance_specs', 'StageDanceEnd', 70);
	
end

function StageDanceChicken()
	hideConv()
	sissyDance = 'dance_feathers'
		Sissy.AddAnimation('Sissy/sissy_dance_feathers.smd');
		Sissy.RunBoneAnimation('sissy_dance_feathers', 'StageDanceEnd', 70);
end

function StageDanceMacabre()
	hideConv()
	sissyDance = 'dance_bones'
		Sissy.AddAnimation('Sissy/sissy_dance_bones.smd');
		Sissy.RunBoneAnimation('sissy_dance_bones', 'StageDanceEnd', 70);

end


function StageDanceChooChoo()
	hideConv()
	sissyDance = 'dance_whistle'
		Sissy.AddAnimation('Sissy/sissy_dance_whistle.smd');
		Sissy.RunBoneAnimation('sissy_dance_whistle', 'StageDanceEnd', 70);

end


function StageDanceEnd()

	if correctDance == sissyDance then
		sissyScore = sissyScore + 1
		Game.LOG (sissyScore)
		Game.LOG (sissyDance)
	end
	
	--StageConvCU()
	
	if dancePos == 1 then
		dancePos = 2
		correctDance = 'dance_specs'
		Chuck.Say("You're making a spectacle of youself!", 3000, 'ShowStageDance')
	
	elseif dancePos == 2 then
		dancePos = 3
		correctDance = 'dance_bob'
		Chuck.Say("She's on the ropes!", 3000, 'ShowStageDance')
	
	elseif dancePos == 3 then
		dancePos = 4
		correctDance = 'dance_feathers'
		Chuck.Say("Boy, they laid an\negg with this one...", 3000, 'ShowStageDance')
	
	elseif dancePos == 4 then
		dancePos = 5
		correctDance =  'dance_whistle'
		Chuck.Say("Haven't you run\nout of steam?", 3000, 'ShowStageDance')
	
	else
	
		dancePos = 0
		Game.LOG ("Final score:")
		Game.LOG (sissyScore)	
		if sissyScore >= 5 then
			Chuck.Say("Yeah! Woo!", 3000)
			Sissy.Say("I've been\nSissy O'Leary!", 3000)
			Chuck.Say("Whatta show!", 3000)
			Sissy.Say("Goodnight!", 3000)
			Chuck.Say("This girl's the business!", 3000, 'CurtainDown')
			knowsFirstGoal = 5
			Game.SetTimer(Game.CurrentTime +6,'ExitNewConvStage')
		else
			booAgain = 1
			Chuck.Say ("Get off, you're lousy!", 3000)		
			Chuck.Say ("Boo!", 3000, 'CurtainDown')	
			correctDance = ''
			sissyDance = ''
			knowsFirstGoal = 4
			Game.SetTimer(Game.CurrentTime +6,'ExitNewConvStage')
			
		end
	end
end



function ExitNewConvStage()
  NewConv.HideNodes();
  ConvBackground.RunAnimation(FadeOutDiagAni.ID,'closeConv');

end

-- Camera Control Functions

 function StageConvWide()
	if Game.Width == 800 then
		Camera.FocalLength = close_small
	else
		Camera.FocalLength = close_big
	end
	Camera.SetPosition(17.0905914306641,35.5027618408203,42.1021461486816);
	Camera.SetTargetPosition(-4.45916080474854,35.7814598083496,23.8202533721924);
	coroutine.resume (co_drama);
end

 function StageConvWideDance()
	if Game.Width == 800 then
		Camera.FocalLength = close_small
	else
		Camera.FocalLength = close_big
	end
	Camera.SetPosition(-41.0817184448242,42.7543106079102,51.6941566467285);
	Camera.SetTargetPosition(15.4377393722534,-4.04828357696533,6.0930323600769);
	Sissy.PointTo (Camera.X, Sissy.Y, Camera.Z);
	coroutine.resume (co_drama);
end

 function StageConvCU()
	if Game.Width == 800 then
		Camera.FocalLength = close_small
	else
		Camera.FocalLength = close_big
	end
	Camera.SetPosition(-100.853271484375,27.4124622344971,-64.5514373779297);
	Camera.SetTargetPosition(-9.02482986450195,3.37020421028137,-2.49564218521118);
	coroutine.resume (co_drama);
end

 function StageConvSissyCU()
	if Game.Width == 800 then
		Camera.FocalLength = close_small
	else
		Camera.FocalLength = close_big
	end
	Camera.SetPosition(-14.0445251464844,26.3221015930176,-31.0087776184082);
	Camera.SetTargetPosition(6.91403675079346,2.35749340057373,5.70069265365601);
	coroutine.resume (co_drama);
end



-- Hide / Exit Functions

function closeConv()
 ConvBackground.Visible = 0;
  if Game.Width == 800 then
		Camera.FocalLength = wide_small
	else
		Camera.FocalLength = wide_big
	end
 GUIActive = true;

 	Sissy.WalkingAnimation = 'walking'; 
	Chuck.WalkingAnimation = 'Chuck_walking';
	Olivetti.WalkingAnimation = 'Olivetti_walking'; 
 -- Were are done, enable scene

	
end

function hideConv()
	ConvBackground.Visible = 0;
  NewConv.HideNodes();
end
