function onExteriorLoad() -- Executed every time Room is loaded

	LoadSissy()
	LoadOlivetti()
	LoadBouncer()
	LoadLyons()

	Blackout.Visible = true;
	Blackout.Alpha = 1;
	
	Game.LoadScript('scripts/ConvOlivetti.lua');
	Game.LoadScript('scripts/ConvBouncer.lua');
	
	Game.SetFogRGB (0,0,0); 
	Game.SetBackgroundRGB (0,0,0); 
	
	if Skybox == nil then
		Skybox = TSkybox.Create();
		Skybox.LoadTextures('skybox/sky.jpg');
	end

--Camera

	--Camera.SetPosition(70,30,30); -- SetPosition(x,y,z:float;const SmoothTransition:boolean);
	
	--Camera.SetTargetPosition(0,10,0); 
  --Camera.FollowActor(Sissy.ID); -- Makes Camera follow Sissy
	
	Camera.DepthOfView = 3000;
	Game.FogStart = 100;
	Game.FogEnd = 2000;
		
		
		
--Lights
	Light1.LightStyle = 1;
	Light1.LinearAttenuation = 0;
	Light1.ConstAttenuation = 0.12174;
	Light1.QuadraticAttenuation = 0;
	Light1.SpotExponent = 0;
	Light1.SpotCutOff = 0;
	Light1.SetDiffuseRGB(242,240,204);
	Light1.SetAmbientRGB(72,72,72);



	Light1.SetShadowRGB(0,0,50,0.9); --Shadow color (Red,Green,Blue,Alpha:[0..1]), default (0,0,0,0.5) 0.5 = alpha
	Light1.Enabled = true 
	Light1.SetPosition(376.5,117.699996948242,-708.900024414063);


	

	Light_pool.LightStyle = 1;
	Light_pool.LinearAttenuation = 0.004;
	Light_pool.ConstAttenuation = 0;
	Light_pool.QuadraticAttenuation = 0;
	Light_pool.SpotExponent = 100;
	Light_pool.SpotCutOff = 81.39;
	Light_pool.SetDiffuseRGB(0,130,236);
	Light_pool.SetAmbientRGB(0,0,0);
	Light_pool.Enabled = true 

	Light_pool.SetPosition(314,42.5999984741211,-346.600006103516);

	Light_pool.SetRotation(0,0,90);
	Light_pool.SetScale(1,1,1);
	Light_pool.ShadowEnabled = false;
	
	Light2.Enabled = false
	Light_amb.Enabled = false

	
--Characters 
	
	Sissy.SetPosition(366.197906494141,22.4660549163818,163.326934814453);
	Sissy.SetRotation(-174.00927734375,0,0);


	Olivetti.SetPosition(183.910003662109,22.4716339111328,-109.330001831055);
	Olivetti.SetRotation(67.1999969482422,0,0);
	Olivetti.Visible = true;
	
	Bouncer.SetPosition(87.4300003051758,22.4673957824707,-249.511703491211);
	Bouncer.SetRotation(119.599998474121,0,0);
	Bouncer.Visible = true;
	if Chuck ~= nil then
		Chuck.Visible = false;
	end
	Lyons.SetPosition(321.109985351563,22.4675846099854,40.3300018310547);

	Lyons.SetRotation(0,0,0);
	
		Sissy.SpeechHeight = 100;
	Lyons.SpeechHeight = 220;

	
-- Meshes


	obWindow = TMesh.Create();
  obWindow.Load('Exterior/Windows.obj');
  --obWindow.SetPosition(-50.7,17.2,-70.5);
  obWindow.CastShadows = 0;

	obWater = TMesh.Create();
  obWater.Load('Exterior/Water.obj');
	--obWater.SetPosition(6,18.1000003814697,-713.299987792969);
  obWater.CastShadows = 0;
	obWater.ReceiveShadows = 1;

	Mat.AddMaterial ('WaterMat');
	Mat.ChangeTexture(Mat.MatID('WaterMat'), 'Exterior/water.png');
	--obWater.ChangeTexture('Exterior/water.png');
	Mat.SetDiffuseColor (Mat.MatID('WaterMat'), 255, 255, 255,0.5); 
	obWater.ChangeMaterial ('WaterMat', 0, 0); 

-- Misc   
 
   Game.CurrentTime = 0; -- Reset Game time    
   
   
--Dummies

	mtEntrance = TDummy.Create();
	mtEntrance.SetPosition(99.3000030517578,24.2000007629395,-183.600006103516);
	mtEntrance.SetRotation(45,0,0);
	mtEntrance.SetScale(48.5,62.5,96.3000030517578);

	mtStageDoor = TDummy.Create();
	mtStageDoor.SetPosition(-153,24.8999996185303,-164.399993896484);
	mtStageDoor.SetRotation(0,0,0);
	mtStageDoor.SetScale(45.0999984741211,51.2000007629395,61.0999984741211);


	mtPool = TDummy.Create();
	mtPool.SetPosition(240.699996948242,4.59999990463257,-322.399993896484);
	mtPool.SetRotation(0,0,0);
	mtPool.SetScale(55,55,55);
	
	mtPalm = TDummy.Create();
	mtPalm.SetPosition(343.799987792969,-2.70000004768372,-418);
	mtPalm.SetRotation(0,0,0);
	mtPalm.SetScale(60,50,50);

	mtOlivettiArea = TDummy.Create();
	mtOlivettiArea.SetPosition(154.899993896484,26.1000003814697,-72.1999969482422);
	mtOlivettiArea.SetRotation(15.1000003814697,0,0);
	mtOlivettiArea.SetScale(100,69.5999984741211,100);

	mtBouncerArea = TDummy.Create();
	mtBouncerArea.SetPosition(90.4000015258789,23.7999992370605,-225.199996948242);
	mtBouncerArea.SetRotation(45,0,0);
	mtBouncerArea.SetScale(157.399993896484,70.3000030517578,98.8000030517578);

	mtStageDoorArea = TDummy.Create();
	mtStageDoorArea.SetPosition(-166.800003051758,23.7999992370605,-225.199996948242);
	mtStageDoorArea.SetRotation(0,0,0);
	mtStageDoorArea.SetScale(157.399993896484,70.3000030517578,98.8000030517578);
	
	Sound.Play(exterior,1);
	Sound.SetVolume(exterior,40);
	
	if Game.GameLoading == "False" then
	
	Game.DisableScene = true;
	
	
		if visitedBefore == 0 then
			if Game.Width == 800 then
				Camera.FocalLength = close_small
			else
				Camera.FocalLength = close_big
			end
			Camera.SetPosition(404.581573486328,27.3650054931641,200.851440429687);
			Camera.SetTargetPosition(295.212890625,22.3068351745605,46.2579307556152);
			ExteriorCutscene_1()
		else
		
			if lastRoom == 'Stage' then
				Sissy.SetPosition(-149.08186340332,22.4660205841064,-205.671676635742);
				Sissy.SetRotation(-175.034301757813,0,0);
				Camera.SetPosition(-328.715728759766,14.4369964599609,-498.156188964844);
				Camera.SetPosition(-303.983276367188,18.9595794677734,-478.361267089844,1)
				Camera.SetTargetPosition(229.769775390625,116.560546875,-51.1731643676758);
				StatusLineText.Text = '';
				Game.SetTimer(Game.CurrentTime + 2,'StageCutscene')
			else
				Sissy.SetPosition(140.226135253906,22.466028213501,-216.279495239258);
				Sissy.SetRotation(141.227951049805,0,0);
				Camera.SetPosition(588.487426757813,33.5903091430664,-445.357574462891);
				Camera.SetTargetPosition(-18.0994663238525,106.860984802246,-32.5151557922363);
				Camera.FollowNone ();
				Camera.SetPosition(340.45654296875,18.8675861358643,-415.792388916016);
				Game.DisableScene = false
			end
			LyonsVanish()
			FadeIn()
		end
	end

 end

function onExteriorProgress() --Here goes all script you want to repeatedly run
	
	
	if Game.DisableScene == "False" then --if Game isn't Paused
		
		if Distance (Sissy, Olivetti) < detectDistance then
		
			currentFocus = 'Olivetti';
			StatusLineText.Text = 'Olivetti';
			
		elseif Distance (Sissy, Bouncer) < detectDistance then
		
			currentFocus = 'Bouncer';
			StatusLineText.Text = 'The Bouncer';
			
		elseif Distance (Sissy, mtEntrance) < detectDistance then
		
			currentFocus = 'mtEntrance';
			StatusLineText.Text = 'Casino Entrance';
			
		elseif Distance (Sissy, mtStageDoor) < detectDistance then
		
			currentFocus = 'mtStageDoor';
			
			StatusLineText.Text = 'Stage Door';
			
		elseif Distance (Sissy, mtPalm) < detectDistance then
		
			currentFocus = 'mtPalm';
			StatusLineText.Text = 'Palm Tree';
			
		elseif Distance (Sissy, mtPool) < 150 then
		
			currentFocus = 'mtPool';
			StatusLineText.Text = 'Busted Fountain';
		
		else
		
			currentFocus = nil;
			StatusLineText.Text = '';
		end
		
		if Distance (Sissy, mtBouncerArea) < 150 then
			if cameraPos == 'wide' or cameraPos == 'wideStageDoor' then
				Camera.SetPosition(316.456970214844,26.1101913452148,-287.176727294922);
				Camera.SetPosition(244.187576293945,30.3454418182373,-423.053741455078, 1);
			else 
				Camera.SetPosition(244.187576293945,30.3454418182373,-423.053741455078, 1);
			end
			Camera.SetTargetPosition(0,10,0); 
			Camera.FollowActor(Sissy.ID);
			cameraPos = 'closeBouncer'
			
		elseif Distance (Sissy, mtOlivettiArea) < 150 then 
			if cameraPos == 'wide' or cameraPos == 'wideStageDoor' then
				Camera.SetPosition(316.456970214844,26.1101913452148,-287.176727294922);
				Camera.SetPosition(273.513031005859,14.8945865631104,-244.232757568359,1);
			else 
				Camera.SetPosition(273.513031005859,14.8945865631104,-244.232757568359, 1);
			end
			Camera.SetTargetPosition(0,10,0); 
			Camera.FollowActor(Sissy.ID);
			cameraPos = 'closeOlivetti'
			
		elseif Distance (Sissy, mtStageDoorArea) < 150 then
			if cameraPos ~= 'wideStageDoor' then
				Camera.SetPosition(-328.715728759766,14.4369964599609,-498.156188964844);
				Camera.SetPosition(-303.983276367188,18.9595794677734,-478.361267089844,1);
			else
				Camera.SetPosition(-303.983276367188,18.9595794677734,-478.361267089844,1);
			end
			Camera.SetTargetPosition(229.769775390625,116.560546875,-51.1731643676758);
			Camera.FollowNone ();
			cameraPos = 'wideStageDoor'
			
		else
		
			Camera.SetPosition(495.199981689453,33.7396011352539,-452.942840576172);
			Camera.SetTargetPosition(-27.1053657531738,46.5603103637695,8.6677885055542);


			Camera.FollowNone ();
			cameraPos = 'wide'
		end
	end
end
 
 function onExteriorUnload()

 
 	LoadSissy()
	LoadLyons()
	LoadChuck()
 
	obWindow.Destroy()
	obWater.Destroy()
	
	mtEntrance.Destroy()
	mtStageDoor.Destroy()
	mtPool.Destroy()
	mtPalm.Destroy()
	mtOlivettiArea.Destroy()
	mtBouncerArea.Destroy()
	mtStageDoorArea.Destroy()

 	
	obWindow = nil;
	obWater = nil;

	
	mtEntrance = nil;
	mtStageDoor = nil;
	mtPool = nil;
	mtPalm = nil;
	mtOlivettiArea = nil;
	mtBouncerArea = nil;
	mtStageDoorArea = nil;
	
	 end
 
 
  if GameGUICreated ~= 1 then
	 LoadGameGUI();
 end
 
function StageCutscene()

		
	if knowsFirstGoal == 2 then
	
		Sissy.Say ("Dammit.", 3000);
		Sissy.Say ("I need to know how to\nmake that guy like my show.", 3000);
		
	elseif knowsFirstGoal == 4 then
		Sissy.Say ("Dammit!", 3000);
		Sissy.Say ("Somehow I didn't\nhit the right notes.", 3000);

	elseif knowsFirstGoal == 5 then
		Sissy.Say ("I'm a hit!", 3000);
		Sissy.Say ("I gotta tell\nthe bouncer.", 3000);
	end
	
	Game.DisableScene = false;
		
end  

 function ExteriorCutscene_1()
		Lyons.Walk (360.010009765625,22.4735164642334,116.230003356934, 'LyonsFaceSissy');
		Blackout.RunAnimation(FadeOutAni.ID, 'ExteriorCutscene_2');
end
 
 function LyonsFaceSissy()
 Lyons.PointTo (Sissy.X, Lyons.Y, Sissy.Z);
 
 end
 
 function OlivettiFaceSissy()
 Olivetti.PointTo (Sissy.X, Olivetti.Y, Sissy.Z);
 
 end

 
 function ExteriorCutscene_2()
 Blackout.Alpha = 0;

	dramaCam(function()
		Lyons.Say ("There you are, honey!", 3000);
		Sleep(0.2);
		Lyons.Say ("Are you ready to do it?", 3000);
		Sleep(0.2);
		Sissy.Say ("I dunno, Billy...", 3000, 'SissyCUStart');
		coroutine.yield()
		Sissy.Say ("I got a funny feeling\n like I can only half remember...", 3000);
		Sleep(0.2);
		Sissy.Say ("I think I was swimming?", 3000, 'LyonsCU');
		coroutine.yield()
		Lyons.Say ("Don't crap out on me, Sissy...", 3000);		
		Sleep(0.2);
		Lyons.Say ("This is gonna make me rich!", 3000);	
		Sleep(0.2);
		Lyons.Say ("I've covered all the angles!", 3000, 'SissyCUStart');	
		coroutine.yield()
		Sissy.Say ("Tell me the plan again.", 3000, 'LyonsCU');		
		coroutine.yield()
		Lyons.Say ("It's simple...", 3000);				
		Lyons.Say ("...you get in to Stack-O-Lee's\n suite in the casino...", 3000);			
		Lyons.Say ("...and take his\nlucky Stetson hat.", 3000);	
		Sissy.Say ("But-", 1500);		
		Lyons.Say ("I've seen what that\n hat does for a man", 3000, 'LyonsCU');		
		coroutine.yield()
		Sissy.Say ("But stealing from your boss...", 3000);	
		Lyons.Say ("Sissy!", 3000, 'OlivettiFaceSissy');
		Sissy.Say ("How do you reckon I'd\n get into his suite?", 3000);	
		Lyons.Say ("You'll find a way!", 3000);		
		Lyons.Say ("You're a smart kid. An' pretty.", 3000, 'SissyCUStart');	
		coroutine.yield()	
		Sissy.Say ("Billy...", 1500, 'LyonsCU');	
		coroutine.yield()
		Lyons.Say ("With that hat I'll\nwin real big.",3000)
		Lyons.Say ("I'll take you out to California\nand make you a movie star!", 3000, 'SissyCUStart');	
		coroutine.yield()
		Sissy.Say ("Well...", 3000, 'LyonsCU');	
		coroutine.yield()
		Lyons.Say ("I knew you'd come\nthrough for me - Oh!", 3000);	
		Lyons.Say ("I almost forgot\nthe Mickey Finn - here...", 3000,'GiveMickey' );
		coroutine.yield()
		Sleep(0.25);
		Lyons.Say ("Just slip it into his drink.", 3000);
		Lyons.Say ("Now I gotta get to work\n or it'll look suspicious.", 3000);	
		Sissy.Say ("Wish me luck?", 3000);
		Lyons.Say ("You don't need it, baby!", 3000);	
		Lyons.Say ("Just gimme a signal\nwhen you got the hat.", 3000, 'LyonsWalkAway');
	end)
	

end

function GiveMickey()
	Lyons.AddAnimation('Lyons/lyons_give.smd');		
	Lyons.RunBoneAnimation('lyons_give', 'none', 70); 
	Sissy.RunBoneAnimation('sissy_take', 'EndGive', 70); 
end

function EndGive()

coroutine.resume (co_drama);
end

 function LyonsWalkAway()
 		Lyons.Walk(314.929992675781,22.4673824310303,41.048999786377, 'Exterior_Cutscene_3');
		Lyons.Walk(283.799987792969,22.4703903198242,-60.726001739502, 'LyonsVanish');
 end

function LyonsVanish()
	Lyons.Visible = false;
end

function Exterior_Cutscene_3()

 
 	dramaCam(function()
	SissyCUStart()
	Sleep(1)
	Sissy.Say ("How tough can it be\nto steal a guy's hat?", 3000, 'Exterior_Cutscene_End');	
	visitedBefore = 5	
	end)


end

function Exterior_Cutscene_End()

	dramaCam(function()
	Sleep(2)
	if Game.Width == 800 then
		Camera.FocalLength = wide_small
	else
		Camera.FocalLength = wide_big
	end
	Sissy.SetPosition(325.100006103516,22.4660320281982,163.326934814453);
	Camera.SetPosition(495.199981689453,33.7396011352539,-452.942840576172);
	Camera.SetTargetPosition(-27.1053657531738,46.5603103637695,8.6677885055542);

	Game.DisableScene = false;
	Sissy.SpeechHeight = 100;
	
	end)

end



function LyonsCU()
 
 	if Game.Width == 800 then
		Camera.FocalLength = close_small
	else
		Camera.FocalLength = close_big
	end
	
	Camera.SetPosition(403.667175292969,28.0218143463135,197.381591796875);
	Camera.SetTargetPosition(293.850738525391,26.306510925293,47.7635154724121);

	Sissy.SpeechHeight = 120;
	Lyons.SpeechHeight = 240;
	coroutine.resume (co_drama);
end
 
function SissyCUStart()
  if Game.Width == 800 then
		Camera.FocalLength = close_small
	else
		Camera.FocalLength = close_big
	end
	
 	Camera.SetPosition(375.988250732422,27.3621120452881,114.36939239502);
	Camera.SetTargetPosition(361.191650390625,27.7961502075195,163.55534362793);
	Sissy.SpeechHeight = 240;
	Lyons.SpeechHeight = 120;
	coroutine.resume (co_drama);
end
 
function onmtEntranceExamine()

	Sissy.Say ("That way to the Casino.");

end

function onmtEntranceInteract()

	Sound.FadeOut (exterior, 5000)
	FadeToBlack()
	Game.SetTimer(Game.CurrentTime + 3,'LoadCasino')

end

function LoadCasino()
CasinoInt.Load()

end

function onmtEntranceUseInv()

	UseInvFail();

end

function onmtPoolExamine()

	Sissy.Say ("The water oughta be dancing.");
	Sissy.Say ("I guess the rates went up.");

end

function onmtPoolInteract()

	Sissy.Say ("No...");
	Sissy.Say ("For some reason I wanna stay away.");

end

function onmtPoolUseInv()

	Sissy.Say ("I don't wanna get it wet.");

end

function onmtPalmExamine()

	Sissy.Say ("Oh, look. Nature.");

end

function onmtPalmInteract()

	Sissy.Say ("I ain't in the mood for climbin'.");

end

function onmtPalmUseInv()

	UseInvFail();

end

function onmtStageDoorExamine()

	Sissy.Say ("That's the way the performers get in.");

end

function onmtStageDoorInteract()



	if knowsFirstGoal == 1 then
	
		Sissy.Say ("I'm sure I got what\nit takes to wow 'em.",3000, 'GoToStage');
		
	elseif knowsFirstGoal == 2 then
	
		Sissy.Say ("I ain't ready yet.", 3000);
		Sissy.Say ("I need to know how to\nmake that guy like my show.", 3000);
	
	elseif knowsFirstGoal == 3 then

		Sissy.Say ("Now I'm ready!", 3000, 'GoToStage');
	
	elseif knowsFirstGoal == 4 then

		Sissy.Say ("Maybe this time...", 3000, 'GoToStage');
	
	else

		Sissy.Say ("I got no reason\nto go in.", 3000);
	
	end

end


function GoToStage()

	Sound.FadeOut (exterior, 5000)
	FadeToBlack()
	Game.SetTimer(Game.CurrentTime + 3,'LoadStage')

end

function LoadStage()

	StageInt.Load()

end

function onmtStageDoorUseInv()

	UseInvFail();

end

 
