  --Inventory Objects

	Cam = TMesh.Create();
  Cam.Load('Inventory/inv_camera.obj');
  --Cam.MoveToInventory(SissyInv.ID); 
	Cam.Hint = "Camera" 
	Cam.SetPosition(1.39999997615814,0.800000011920929,0);
	Cam.SetRotation(-13.8999996185303,-18.8999996185303,90);
	Cam.SetScale(1,1,1);
	Cam.Visible = false;
	
  Drug = TMesh.Create();
  Drug.Load('Inventory/inv_drug.obj');
  Drug.MoveToInventory(SissyInv.ID);
	Drug.Hint = 'Drug Packet'
	Drug.SetPosition(16,0,0);
	Drug.SetRotation(-7.69999980926514,16,136.600006103516);
	Drug.SetScale(1.89999997615814,1,1.70000004768372);

  Photo= TMesh.Create();
  Photo.Load('Inventory/inv_photo.obj');
  --Photo.MoveToInventory(SissyInv.ID);
	Photo.Hint = 'Photo'
	Photo.SetPosition(16,0,0);
	Photo.SetRotation(-7.69999980926514,16,136.600006103516);
	Photo.SetScale(1.7,1.7,1.7);
	Photo.Visible = false;
	
  Footlight = TMesh.Create();
  Footlight.Load('Inventory/inv_bulb.obj');
  --Footlight.MoveToInventory(SissyInv.ID);
	Footlight.Hint = 'Footlight'
	Footlight.SetRotation(-11.3000001907349,-17.8999996185303,107.699996948242);
	Footlight.SetScale(1.60000002384186,1.60000002384186,1.60000002384186);
	Footlight.Visible = false;
	
	
	
	CamLight = TMesh.Create();
  CamLight.Load('Inventory/inv_camera_light.obj');
  --Footlight.MoveToInventory(SissyInv.ID);
	CamLight.Visible = false;
	
	Glass1 = TMesh.Create()
	Glass1.Load ('Inventory/inv_glass.obj');
	Glass1.Visible = false;
	
	Glass2 = TMesh.Create()
	Glass2.Load ('Inventory/inv_glass.obj');
	Glass2.Visible = false;	
	
	Gun1 = TMesh.Create()
	Gun1.Load ('Inventory/gun.obj');
	Gun1.Visible = false;	
		
	Gun2 = TMesh.Create()
	Gun2.Load ('Inventory/gun.obj');
	Gun2.Visible = false;		
--[[
  Inv_Obj4 = TMesh.Create();
  Inv_Obj4.Load('Inventory/inv_camera.obj');
	Inv_Obj4.Hint = 'Obj4' 
  --Inv_Obj4.MoveToInventory(SissyInv.ID); 

  Inv_Obj5 = TMesh.Create();
  Inv_Obj5.Load('Inventory/inv_camera.obj');
	Inv_Obj5.Hint = 'Obj5' 
  --Inv_Obj5.MoveToInventory(SissyInv.ID); 

	Inv_Obj6 = TMesh.Create();
  Inv_Obj6.Load('Inventory/inv_camera.obj');
	Inv_Obj6.Hint = 'Obj6' 
  --Inv_Obj6.MoveToInventory(SissyInv.ID); 

	
	--]]
--invTable = {Drug}
--invCount = 1;

	
	--Inventory Functions
	
	
function AddInv (inv)
	inv.MoveToInventory(SissyInv.ID); 
	--invCount = invCount + 1;
	
	--invTable[invCount] = inv;
end



function SelectInv ()
	SissyInv.Visible = 0;
	--heldInv = invTable[invFocus]
	heldInv = GetInv(invFocus-1)
	oldPosX = heldInv.X
	heldInv.X = 0;
	heldInv.MoveToActorsHand (Sissy.ID);
	if heldInv == Cam then
		Cam.SetPosition(3.40000009536743,1.5,-0.5);
		Cam.SetRotation(-12.1999998092651,-4.5,90);
		Cam.SetScale(1,1,1);
	elseif heldInv == Footlight then
		Footlight.SetPosition(3.5,1.5,0);
		Footlight.SetRotation(0,0,0);
		Footlight.SetScale(1.60000002384186,1.60000002384186,1.60000002384186);
	elseif heldInv == Drug then
		Drug.SetPosition(0.899999976158142,0.800000011920929,1.29999995231628);
		Drug.SetRotation(-7.69999980926514,16,136.600006103516);
		Drug.SetScale(1,1,1);
	elseif heldInv == Photo then		
		Photo.SetPosition(1,0.800000011920929,2);
		Photo.SetRotation(157.100006103516,3.40000009536743,-162.5);
		Photo.SetScale(1.20000004768372,1.20000004768372,1.20000004768372);

	end
	Game.DisableScene = 0;

	ButtonInvHighlight.Visible = 0;
	
end


function PutAwayInv ()
	heldInv.MoveToInventory(SissyInv.ID); 
	heldInv.X = oldPosX;

	
	if heldInv == Cam then
		Cam.SetPosition(1.39999997615814,0.800000011920929,0);
		Cam.SetRotation(-13.8999996185303,-18.8999996185303,90);
		Cam.SetScale(1,1,1);
	elseif heldInv == Footlight then
		Footlight.SetRotation(-11.3000001907349,-17.8999996185303,107.699996948242);
		Footlight.SetScale(1.60000002384186,1.60000002384186,1.60000002384186);
	elseif heldInv == Drug then
		Drug.SetPosition(16,0,0);
		Drug.SetRotation(-7.69999980926514,16,136.600006103516);
		Drug.SetScale(1.89999997615814,1,1.70000004768372);
	elseif heldInv == Photo then
		Photo.SetPosition(16,0,0);
		Photo.SetRotation(24.5,-17.3999996185303,90.0999984741211);
		Photo.SetScale(1.20000004768372,1.20000004768372,1.20000004768372);
	end
		heldInv = nil;
	
end

function ExamineInv ()

	lookInv = GetInv(invFocus-1)
	if lookInv == Drug then
	
		Sissy.Say ("It's billy's\nknock-out powder.");

	elseif lookInv == Cam then
	
		Sissy.Say ("It's an Instamaton.");
	
	elseif lookInv == Footlight then
	
		Sissy.Say ("I hope this fits\nOlivetti's camera.");
	
	elseif lookInv == Photo then
	
		Sissy.Say ("It makes my\nneck look fat.");	
	end
	
	
end

function LoseInv (inv)

	inv.Visible = false;
	inv.MoveToRoom();
	
	invFocus = 1;
	ButtonInvHighlight.X = 134;

end