function LoadLee()
	if Lee == nil then
		Lee = TActor.Create();
		Lee.MouseControl = 0;
		Lee.LoadBaseMesh('Lee/lee.smd');
		Lee.SetPosition(-50,25,-25);
		Lee.SetActor_Dummy_Position(0,0,0); 
		Lee.SetMeshScale(1,1,1); 
		Lee.AddAnimation('Lee/lee_standing.smd');
		Lee.AddAnimation('Lee/lee_talking.smd');
		Lee.AddAnimation('Lee/lee_walking.smd'); 

		Lee.AddAnimation('Lee/lee_drink.smd');
		Lee.AddAnimation('Lee/lee_stand_drink.smd');
		Lee.AddAnimation('Lee/lee_stand_gun.smd');
		Lee.AddAnimation('Lee/lee_shoot.smd');

		Lee.WalkingAnimation = 'lee_walking'; 
		Lee.TalkingAnimation = 'lee_talking'; 
		Lee.StandingAnimation = 'lee_standing'; 
		Lee.CurrentAnimation = 'lee_standing'; 
		Lee.Interval = 100;
		Lee.SetCollisionScale(8,22,8);
		Lee.WalkingSpeed = 500;
		Lee.WalkingInterval = 50;
		Lee.SetHandBones("Hand.L", "Hand.R"); 
		Lee.SetSpeechColorRGB (225,222,151);

		Lee.SpeechHeight = 240;
	end
end

function onLeeExamine()
	Sissy.Say('Stack-o-Lee.', 3000);
	Sissy.Say('He smells like Catsup.', 3000);
end

function onLeeInteract()

	if atTurntable == 1 then
		Lee.Say ("Be patient, dammit!", 3000);
		Lee.Say ("I'll be with y'in\na minute, honey.", 3000);
	elseif leeMixedDrink == 1 then
		Game.DisableScene = true;
		StatusLineText.Text = '';
		leeMixedDrink = 0
		atBar = 1
		PrepareDrink()
	else
		startConv ('SissyToLee');
	end
	
end


function PrepareDrink()

	leeMixedDrink = 0
	atBar = 1

	Glass1.MoveToActorsHand (Lee.ID);
	Glass2.MoveToActorsHand (Sissy.ID);

	Glass1.SetPosition(1.5,1.5,0.5);
	Glass1.SetRotation(0,0,0);
	Glass1.SetScale(1,1,1);
	
	Glass2.SetPosition(1.5,1.5,0.5);
	Glass2.SetRotation(0,0,0);
	Glass2.SetScale(1,1,1);
	
	Sissy.SpeechHeight = 240;
	Lee.SpeechHeight = 350;
	


	
	
	Sissy.StandingAnimation = 'sissy_stand_drink'; 
	Sissy.WalkingAnimation = 'sissy_stand_drink'; 
	Sissy.TalkingAnimation = 'sissy_drink_talk'; 
	Lee.StandingAnimation = 'lee_stand_drink'; 
	Lee.WalkingAnimation = 'lee_stand_drink'; 
	
	
	
	
	Sissy.SetPosition(65.5698471069336,110,-171.029998779297);
	Sissy.SetRotation(-102.879997253418,0,0);

	Lee.SetPosition(37.5439987182617,110,-177.479995727539);
	Lee.SetRotation(94.0599975585938,0,0);
	
	Camera.SetPosition(98.2441253662109,107.237800598145,-230.018295288086);
	Camera.SetTargetPosition(-22.3579254150391,112.498344421387,-121.282569885254);
	Camera.FollowNone ();

	Glass1.Visible = true
	Glass2.Visible = true
	
	Lee.Say("Bottoms up.", 3000, 'SissyAndLeeDrink1')

end


function onLeeUseInv()

	UseInvFail();
	
end

function SissyAndLeeDrink1()

Sissy.RunBoneAnimation('sissy_drink', 'none', 70)
Lee.RunBoneAnimation('lee_drink', 'LeeFinishDrink', 80)


end

function LeeFinishDrink()
Lee.Say ("Ah... Now...", 3000, 'LeeConvCU');
Lee.Say ("What say I show you\nthe rest of the suite?", 3000, 'LeeConvSissyCU');
Sissy.Say ("Um... I like\nit out here.", 3000, 'LeeConvCU');
Lee.Say ("Hmph...", 3000);
Lee.Say ("Another drink, maybe?", 3000, 'LeeConvSissyCU'); 
Sissy.Say ("Maybe...", 3000, 'EndDrink');

end

function EndDrink()


	Sissy.SpeechHeight = 100;
	Lee.SpeechHeight = 150;
	
	
	
	Sissy.StandingAnimation = 'idle'; 
	Sissy.WalkingAnimation = 'walking'; 
	Sissy.TalkingAnimation = 'talking'; 
	
	Lee.StandingAnimation = 'lee_standing'; 
	Lee.WalkingAnimation = 'lee_walking'; 
	
	Glass1.Visible = false
	Glass2.Visible = false
	Camera.SetPosition(160.33544921875,109.920433044434,-16.3956756591797)			
		if Game.Width == 800 then
		Camera.FocalLength = wide_small
	else
		Camera.FocalLength = wide_big
	end
	Camera.SetTargetPosition(0,0,0);
	Camera.FollowActor(Sissy.ID);
	Game.DisableScene = false;
		
end




