-- Predefined Global Variables

detectDistance = 50;
GUIActive = true;
invFocus = 1;
cancelTimer = false;

wide_big = 47;
wide_small = 60;

close_big = 22;
close_small = 30;


cutscene = 'none'

------------CHEAT
--cheatIn = 1

----------------

-- Narrative variables:
visitedBefore = 0 
needsBulb = 0
knowsAboutCamera = 0;
saidBouncerShowgirl = 0;
knowsFirstGoal = 0;
elevator = 0;
seenTurnTable = 0;
musicPlaying = 0;
turntablePlaying = 'none'
atBar = 0;
atTurntable = 0;
whichTrack = 1

--invActive = 0;

--Global Animations

FadeOutDiagAni = TAnimation.Create();
FadeOutDiagAni.AddOpacity(0,0.7,0,0);
FadeOutDiagAni.AddOpacity(1,0.7,0,0);
FadeOutDiagAni.AddOpacity(2,0,0,0);

FadeInDiagAni = TAnimation.Create();
FadeInDiagAni.AddOpacity(0,0,0,0);
FadeInDiagAni.AddOpacity(0.5,0.7,0,0);

FadeOutAni = TAnimation.Create();
FadeOutAni.AddOpacity(0,1,0,0);
FadeOutAni.AddOpacity(1,1,0,0);
FadeOutAni.AddOpacity(5,0,0,0);

FadeInAni = TAnimation.Create();
FadeInAni.AddOpacity(0,0,0,0);
FadeInAni.AddOpacity(1,0.5,0,0);
FadeInAni.AddOpacity(2,1,0,0);

   LiftOpen = TAnimation.Create();
	LiftOpen.AddRotation(0,0,0,90);
	LiftOpen.SetRotInBezier(0,0,0,90);
	LiftOpen.SetRotOutBezier(0,0,0,90);

	LiftOpen.AddRotation(3.30000013113022,93.1999969482422,0,90);
	LiftOpen.SetRotInBezier(3.30000013113022,93.1999969482422,0,90);
	LiftOpen.SetRotOutBezier(3.30000013113022,93.1999969482422,0,90);

	
	LiftClose = TAnimation.Create();
	
	LiftClose.AddRotation(0,93.1999969482422,0,90);
	LiftClose.SetRotInBezier(0,93.1999969482422,0,90);
	LiftClose.SetRotOutBezier(0,93.1999969482422,0,90);
	
	LiftClose.AddRotation(3,0,0,90);
	LiftClose.SetRotInBezier(3,0,0,90);
	LiftClose.SetRotOutBezier(3,0,0,90);

PhotoFade = TAnimation.Create();
PhotoFade.AddOpacity(0,0,0,0);
PhotoFade.AddOpacity(1,1,0,0);


-- Sleep Functions:

sleepTimerRunning = false;
 
function Sleep (duration)
	--Game.LOG ('sleep');
	--Game.LOG (Game.CurrentTime);
	if sleepTimerRunning == false then
		Game.SetTimer(Game.CurrentTime+(duration),'Wake');
		sleepTimerRunning = true;
	end
	--Game.LOG ('set timer');
	coroutine.yield()	

end
 
function Wake ()
	--Game.LOG ('wake');
	--Game.LOG (Game.CurrentTime);
	sleepTimerRunning = false;
	coroutine.resume(co_drama);
end
  
function enableSleep(f)
	if type(f) == 'function' then
		--Game.LOG ('run enablesleep');
		co_sleep = coroutine.create(f);
		if sleepTimerRunning == false then
			coroutine.resume(co_sleep);
		end
	end
end

-- Dramatic Camera Control Functions

function dramaCam(f)
	if type(f) == 'function' then
		co_drama = coroutine.create(f);
		if sleepTimerRunning == false then
			coroutine.resume(co_drama);
		end
	end
end

function Distance (obj1, obj2)
	return (obj1.DistanceToPoint(obj2.X,obj2.Y,obj2.Z));
end

function scrollMonitor()

	if Game.IsKeyDown (Game.Ord ('W')) == true then
		scrollDirection = 'up';
	elseif Game.IsKeyDown (Game.Ord ('S')) == true then
		scrollDirection = 'down';
	end
	
	if Game.IsKeyDown (Game.Ord ('W')) == false and Game.IsKeyDown (Game.Ord ('S')) == false then
		scrollConv(scrollDirection)
		scrollDirection = nil;
	end
end

function FadeToBlack()
	Blackout.Alpha = 0;
	Blackout.Load("GUI/black.png");

	Blackout.Visible = 1;
	Blackout.RunAnimation(FadeInAni.ID, 'Faded');
	fading = 1;
end
function Faded()
	fading= 0;

end
function FadeIn()
	BlackoutAlpha = 1;
	Blackout.Visible = 1;
	Blackout.RunAnimation(FadeOutAni.ID, 'HideBlackout');
	fading = 1;
end
	
function HideBlackout()
BlackoutAlpha = 0;
	Blackout.Visible = 0;
	fading = 0;
end
	
-- Global functions

function GetInv(id)

 return _G[Game.GetMeshName(SissyInv.GetMeshID(id))];
 
end

function GetMesh(id)

 return _G[Game.GetMeshName(id)];
end
-- Default Response

function UseInvFail()

	if heldInv ~= nil then
		Sissy.Say ("I don't see how to use the\n" .. heldInv.Hint .. " here.");
	end

end


